/**
 * DevExtreme (cjs/renovation/ui/scheduler/appointment/layout.j.js)
 * Version: 21.2.4 (build 21349-0315)
 * Build date: Wed Dec 15 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.default = void 0;
var _component_registrator = _interopRequireDefault(require("../../../../core/component_registrator"));
var _component = _interopRequireDefault(require("../../../component_wrapper/common/component"));
var _layout = require("./layout");

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}

function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];
        descriptor.enumerable = descriptor.enumerable || false;
        descriptor.configurable = true;
        if ("value" in descriptor) {
            descriptor.writable = true
        }
        Object.defineProperty(target, descriptor.key, descriptor)
    }
}

function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) {
        _defineProperties(Constructor.prototype, protoProps)
    }
    if (staticProps) {
        _defineProperties(Constructor, staticProps)
    }
    Object.defineProperty(Constructor, "prototype", {
        writable: false
    });
    return Constructor
}

function _inheritsLoose(subClass, superClass) {
    subClass.prototype = Object.create(superClass.prototype);
    subClass.prototype.constructor = subClass;
    _setPrototypeOf(subClass, superClass)
}

function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function(o, p) {
        o.__proto__ = p;
        return o
    };
    return _setPrototypeOf(o, p)
}
var AppointmentLayout = function(_BaseComponent) {
    _inheritsLoose(AppointmentLayout, _BaseComponent);

    function AppointmentLayout() {
        return _BaseComponent.apply(this, arguments) || this
    }
    _createClass(AppointmentLayout, [{
        key: "_propsInfo",
        get: function() {
            return {
                twoWay: [],
                allowNull: [],
                elements: [],
                templates: ["appointmentTemplate", "overflowIndicatorTemplate"],
                props: ["isAllDay", "appointments", "overflowIndicators", "appointmentTemplate", "overflowIndicatorTemplate"]
            }
        }
    }, {
        key: "_viewComponent",
        get: function() {
            return _layout.AppointmentLayout
        }
    }]);
    return AppointmentLayout
}(_component.default);
exports.default = AppointmentLayout;
(0, _component_registrator.default)("dxAppointmentLayout", AppointmentLayout);
module.exports = exports.default;
module.exports.default = exports.default;
